mbmc.net
当前位置:首页 >> CAD展点程序lisp >>

CAD展点程序lisp

(DEFUN C:TT ( / ss ff ss1 en pt x y) (setvar "cmdecho" 0) (setvar "blipmode" 0) (setvar "dimzin" 0) (vl-load-com);;加载vlax扩展函数 (setq ss (ssget '((0 . "point"))) n 0);;请选择点 (if (/= ss nil) (progn (setq ff (open "d://文...

在AutoCAD的安装文件夹下,有一个acadxxxx.lsp文件,此文件名中的xxxx代表一个年的版本数,例如在C:\Program Files\Autodesk\ACADM 2010\Support下,有个acad2010.lsp文件。在它的最后加上你的后两个函数句子,保存之(见以下第一个截图)。这样...

首先根据点位与点号的想对位置关系做一个块,块里边是一个点位,还有一个属性,属性是个文本,用来放点号 编程思路如下,: 1,关闭无关图层,仅留下 点位与点号所在的图层 2,使用选择集功能,将所有显示的实体放入选择集中 3,遍历选择集,查...

1,用 AP 命令调入Autolisp. 2,在cad命令行运行所调入的lisp命令

(defun C:arb () (setvar "cmdecho" 0) (setvar "gridmode" 0) (setvar "lwdisplay" 1) (setvar "orthomode" 0) (command "dimscale" 1) (setq f_line (tblsearch "layer" "inside")) (if (= f_line nil) (command "layer" "n" "inside" "c" 90 ...

步骤如下:1.使用菜单“工具\自定义\界面”,如下第一个附图所示。 2.在其对话框中,如下第二个附图所示,在左下角的命令列表区域之右上角附近找到“创建新命令”按钮,点击之。 3.在变化了的右侧界面中的右上方,“按钮图像”栏内,选择一个需要增加...

(defunc:n3()(vl-load-com)(setqcm(getvar"cmdecho")os(getvar"osmode"))(setvar"cmdecho"0)(command"_undo""be")(setqpdbznil)(vlax-forobj(vla-get-Linetypes(vla-get-ActiveDocument(vlax-get-acad-object)))(if(=(vla-get-nameobj)"ACAD_ISO...

做了隐藏和显示两个命令. 我编写的简单,功能不太全.你看着用吧 复制下列代码,创建acad.lsp.放在在CAD安装目录第一层文件夹下,可自动加载啊: ;在命令行输入该命令hidsel,然后选择图元,结果没选的被改到隐藏层 (defun C:hidsel(/ all;所有图元 xs;...

(defun c:bz(/ a ax ay b c d e f j g) (setvar "CMDECHO" 0) (setvar "snapmode" 0) (setvar "blipmode" 0) (initget 1) (setq a (getpoint "\n给定标注点:")) (initget 1) (setq d (getangle "\n标注倾斜角度:")) (setq ax (car a) ay (cadr...

其实很简单的,不用三楼那么麻烦的。 (defun c:pt() (setvar "cmdecho" 0) (while (setq pt1 (getpoint "\n请指定点位置:")) (setq point_x (rtos (car pt1) 2 2)) (setq point_y (rtos (cadr pt1) 2 2)) (setq point_z (rtos (caddr pt1) 2 2))...

网站首页 | 网站地图
All rights reserved Powered by www.mbmc.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com